Skip to main content
POST
/
api
/
integration-sources
/
{source_id}
/
saas-sync-descriptions
Sync Saas Integration Source Descriptions
curl --request POST \
  --url https://config.heyhumm.ai/api/integration-sources/{source_id}/saas-sync-descriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "extraction_method": "<string>",
  "documentation_url": "<string>",
  "force_regenerate": false
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source_id
string<uuid> | null
required

Query Parameters

organization_id
string<uuid> | null
resource_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json
extraction_method
string | null
documentation_url
string | null
force_regenerate
boolean
default:false

Response

Successful Response

The response is of type Response Sync Saas Integration Source Descriptions Api Integration Sources Source Id Saas Sync Descriptions Post · object.